# class Byebug::DisableCommand::DisplayCommand

Enables all or specific displays

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/disable/display.rb, line 22
          def self.description
            <<-DESCRIPTION
              dis[able] d[isplay][ <id1> <id2> .. <idn>]

              #{short_description}

              Arguments are the code numbers of the expressions to disable. Do "info
              display" to see the current list of code numbers. If no arguments are
              specified, all displays are disabled.
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/disable/display.rb, line 18
    def self.regexp
      /^\s* d(?:isplay)? (?:\s+ (.+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/disable/display.rb, line 34
    def self.short_description
      "Disables expressions to be displayed when program stops."
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/disable/display.rb, line 38
    def execute
      enable_disable_display("disable", @match[1])
    end